WordPress 4.7 - User Information Disclosure via REST API



Proof of Concept
http://www.example.com/wp-json/wp/v2/users

Affects WordPress

fixed in version 4.7.1

References

CVE 2017-5487
URL https://www.wordfence.com/blog/2016/12/wordfence-blocks-username-harvesting-via-new-rest-api-wp-4-7/
URL https://github.com/WordPress/WordPress/commit/daf358983cc1ce0c77bf6d2de2ebbb43df2add60
URL https://wordpress.org/news/2017/01/wordpress-4-7-1-security-and-maintenance-release/

Classification

Type BYPASS

Miscellaneous

Submitter ethicalhack3r
Submitter Website https://dewhurstsecurity.com/
Submitter Twitter ethicalhack3r
Views 5502
Verified No
WPVDB ID 8715

Timeline

Publicly Published 2017-01-11 (almost 3 years ago)
Added 2017-01-12 (almost 3 years ago)
Last Updated 2019-11-01 (17 days ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin